Freeciv-3.1: packet_ruleset_tech Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_tech Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
int | root_req
int | research_reqs_count
struct requirement | research_reqs [MAX_NUM_REQS]
int | tclass
bool | removed
bv_tech_flags | flags
float | cost
int | num_reqs
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | helptext [MAX_LEN_PACKET]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]

## Detailed Description

Definition at line 1079 of file packets_gen.h.

## Field Documentation

## ◆ cost

float packet_ruleset_tech::cost

Definition at line 1087 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ flags

bv_tech_flags packet_ruleset_tech::flags

Definition at line 1086 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ graphic_alt

char packet_ruleset_tech::graphic_alt[MAX_LEN_NAME]

Definition at line 1093 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ graphic_str

char packet_ruleset_tech::graphic_str[MAX_LEN_NAME]

Definition at line 1092 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ helptext

char packet_ruleset_tech::helptext[MAX_LEN_PACKET]

Definition at line 1091 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ id

int packet_ruleset_tech::id

Definition at line 1080 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ name

char packet_ruleset_tech::name[MAX_LEN_NAME]

Definition at line 1089 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ num_reqs

int packet_ruleset_tech::num_reqs

Definition at line 1088 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ removed

bool packet_ruleset_tech::removed

Definition at line 1085 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ research_reqs

struct requirement packet_ruleset_tech::research_reqs[MAX_NUM_REQS]

Definition at line 1083 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ research_reqs_count

int packet_ruleset_tech::research_reqs_count

Definition at line 1082 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ root_req

int packet_ruleset_tech::root_req

Definition at line 1081 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ rule_name

char packet_ruleset_tech::rule_name[MAX_LEN_NAME]

Definition at line 1090 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().

## ◆ tclass

int packet_ruleset_tech::tclass

Definition at line 1084 of file packets_gen.h.

Referenced by handle_ruleset_tech(), send_packet_ruleset_tech_100(), and send_ruleset_techs().